DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageSort

Sort image data

## SYNOPSIS

`#include "dip_sort.h"`

dip_Error dip_ImageSort ( in, out, algorithm )

## FUNCTION

Produces an image (`out`) with the sorted pixel values of `in`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_Sort` | `algorithm` | Sort algorithm

The `sortType` parameter is one of:

Name | Description
`DIP_SORT_DEFAULT` | Default sort algorithm
`DIP_SORT_QUICK_SORT` | Quick sort
`DIP_SORT_DISTRIBUTION_SORT` | Distribution sort
`DIP_SORT_INSERTION_SORT` | Insertion sort

## SEE ALSO

General information about sorting

`DistributionSort`, `InsertionSort`, `QuickSort`, `Sort`, `SortIndices`, `SortIndices16`, `ImageSortIndices`

DIPlib on-line documentation | Function reference | Global function index